%define oname gstreamer
%define version 0.7.4
%define release 2mdk

%define major 0.7
%define majorminor 0.7
%define name %oname%majorminor
%define libname %mklibname %{oname} %{major}
%define 	_glib2		2.0.1
%define 	_libxml2	2.4.0
%define build_docs 1

Name: 		%name
Summary: 	GStreamer Streaming-media framework runtime
Version: 	%version
Release: 	%release
License: 	LGPL
Group: 		Sound
URL:            http://sourceforge.net/projects/gstreamer/
Source: 	%{oname}-%{version}.tar.bz2
Patch:		gstreamer-0.7.3-docbook-dtd.patch.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
BuildRequires: 	glib2-devel >= %_glib2
BuildRequires: 	libxml2-devel >= %_libxml2
BuildRequires:	popt-devel
%ifarch %ix86 
BuildRequires: 	nasm => 0.90
%endif
Buildrequires:  automake1.7
BuildRequires: 	bison
BuildRequires:  flex
%if %build_docs
BuildRequires: 	gtk-doc >= 0.7
BuildRequires: 	transfig
BuildRequires:  docbook-dtd42-xml
BuildRequires:  ghostscript
%endif

%description
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new 
plugins.

%package tools
Summary: GStreamer Streaming-media framework runtime
Group: 	Sound
Prereq: %libname

%description tools
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new 
plugins.


%package -n %libname
Summary: Libraries for GStreamer streaming-media framework
Group: System/Libraries
Requires:	%name-tools >= %version-%release

%description -n %libname
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries.

%package -n %libname-devel
Summary: Libraries and include files for GStreamer streaming-media framework
Group: Development/C
Requires: %{libname} = %{version}-%release
Requires: libglib2-devel
Requires: libxml2-devel
Provides: libgstreamer-devel = %version-%release
Provides: libgstreamer%{majorminor}-devel = %version-%release

%description -n%libname-devel
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new   
plugins.

This package contains the libraries and includes files necessary to develop
applications and plugins for GStreamer.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %oname-%version
%patch -p1 -b .dtd
#aclocal-1.7 -I common/m4
#automake-1.7
#autoconf

%build
%define __libtoolize true
%configure2_5x  --enable-debug --disable-dependency-tracking \
  --with-cachedir=%{_var}/cache/%{oname}-%{majorminor} \
  --with-configdir=%{_sysconfdir}/%{oname} \
  --disable-tests --disable-examples \
%if %build_docs
  --enable-docs-build \
%else	
  --disable-docs-build \
%endif
 --with-html-dir=%_datadir/gtk-doc/html

make

%install  
rm -rf $RPM_BUILD_ROOT  installed-docs
%makeinstall_std
mkdir -p $RPM_BUILD_ROOT%{_var}/cache/%{oname}-%{majorminor}
#clean the files we don't want to install 
rm -f $RPM_BUILD_ROOT%{_libdir}/%{oname}-%{majorminor}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/%{oname}-%{majorminor}/*.a
#gw we can't ship these, they would conflict with the stable gstreamer
(
 cd %buildroot%_bindir
 mv gst-feedback gst-feedback-%majorminor
 rm -f gst-complete gst-compprep gst-inspect gst-launch gst-md5sum \
       gst-register gst-typefind gst-xmlinspect gst-xmllaunch
)
rm -f %buildroot/%_libdir/*a 
%find_lang %oname-%majorminor

mv %buildroot%_datadir/doc/%oname-%version/ installed-docs

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%files tools -f %oname-%majorminor.lang
%defattr(-, root, root)
%doc AUTHORS COPYING README NEWS COPYING.LIB
%dir %{_var}/cache/%{oname}-%{majorminor}
%{_bindir}/gst-complete-%majorminor
%{_bindir}/gst-compprep-%majorminor
%{_bindir}/gst-feedback-%majorminor
%{_bindir}/gst-inspect-%majorminor
%{_bindir}/gst-launch-%majorminor
%{_bindir}/gst-md5sum-%majorminor
%{_bindir}/gst-register-%majorminor
%{_bindir}/gst-typefind-%majorminor
%{_bindir}/gst-xmlinspect-%majorminor
%{_bindir}/gst-xmllaunch-%majorminor
%{_mandir}/man1/gst-inspect-%majorminor.1.*
%{_mandir}/man1/gst-launch-%majorminor.1.*
%{_mandir}/man1/gst-md5sum-%majorminor.1.*
%{_mandir}/man1/gst-typefind-%majorminor.1.*

%files -n %libname
%defattr(-, root, root)
%dir %{_libdir}/%{oname}-%{majorminor}
%{_libdir}/libgstreamer-%{majorminor}.so.*
%{_libdir}/libgstcontrol-%{majorminor}.so.*
%{_libdir}/%{oname}-%{majorminor}/libgstbasicomega*.so
%{_libdir}/%{oname}-%{majorminor}/libgstbytestream.so
%{_libdir}/%{oname}-%{majorminor}/libgstoptscheduler.so
%{_libdir}/%{oname}-%{majorminor}/libgstoptomega*.so
%{_libdir}/%{oname}-%{majorminor}/libgstbasicgthreadscheduler.so
%{_libdir}/%{oname}-%{majorminor}/libgstoptgthreadscheduler.so
%{_libdir}/%{oname}-%{majorminor}/libgstelements*.so
%{_libdir}/%{oname}-%{majorminor}/libgstgetbits*.so
%{_libdir}/%{oname}-%{majorminor}/libgstspider*.so
%{_libdir}/%{oname}-%{majorminor}/libgstindexers.so

%files -n %libname-devel
%defattr(-, root, root)
%doc DEVEL DOCBUILDING REQUIREMENTS ChangeLog TODO
%doc installed-docs/*
%dir %{_includedir}/%{oname}-%{majorminor}
%dir %{_includedir}/%{oname}-%{majorminor}/gst
%{_includedir}/%{oname}-%{majorminor}/gst/*.h
%dir %{_includedir}/%{oname}-%{majorminor}/gst/bytestream
%{_includedir}/%{oname}-%{majorminor}/gst/bytestream/*.h
%dir %{_includedir}/%{oname}-%{majorminor}/gst/control
%{_includedir}/%{oname}-%{majorminor}/gst/control/*.h
%dir %{_includedir}/%{oname}-%{majorminor}/gst/getbits
%{_includedir}/%{oname}-%{majorminor}/gst/getbits/getbits.h

%{_libdir}/libgstreamer-%{majorminor}.so
%{_libdir}/libgstcontrol-%{majorminor}.so
%{_datadir}/aclocal/gst-element-check-%{majorminor}.m4
%{_libdir}/pkgconfig/gstreamer-%{majorminor}.pc
%{_libdir}/pkgconfig/gstreamer-control-%{majorminor}.pc
%if %build_docs
## we specify the API docs as regular files since %docs doesn't fail when
#  files aren't found anymore for RPM >= 4
#  we list all of the files we really need to trap incomplete doc builds
#  then we catch the rest with *, you can safely ignore the errors from this
## gstreamer API
%dir %{_datadir}/gtk-doc/html/%{oname}-%{majorminor}
%{_datadir}/gtk-doc/html/%{oname}-%{majorminor}/%{oname}-%{majorminor}.devhelp
%{_datadir}/gtk-doc/html/%{oname}-%{majorminor}/element-types.html
%{_datadir}/gtk-doc/html/%{oname}-%{majorminor}/GstBin.html
%{_datadir}/gtk-doc/html/%{oname}-%{majorminor}/GstClock.html
%{_datadir}/gtk-doc/html/%{oname}-%{majorminor}/GstElement.html
%{_datadir}/gtk-doc/html/%{oname}-%{majorminor}/GstIndex.html
%{_datadir}/gtk-doc/html/%{oname}-%{majorminor}/GstObject.html
%{_datadir}/gtk-doc/html/%{oname}-%{majorminor}/GstPad.html
%{_datadir}/gtk-doc/html/%{oname}-%{majorminor}/GstPipeline.html
%{_datadir}/gtk-doc/html/%{oname}-%{majorminor}/GstPluginFeature.html
%{_datadir}/gtk-doc/html/%{oname}-%{majorminor}/%{oname}-cothreads.html
%{_datadir}/gtk-doc/html/%{oname}-%{majorminor}/%{oname}-gstatomic.html
%{_datadir}/gtk-doc/html/%{oname}-%{majorminor}/%{oname}-GstBuffer.html
%{_datadir}/gtk-doc/html/%{oname}-%{majorminor}/%{oname}-GstCaps.html
%{_datadir}/gtk-doc/html/%{oname}-%{majorminor}/%{oname}-gstconfig.html
%{_datadir}/gtk-doc/html/%{oname}-%{majorminor}/%{oname}-GstCpu.html
%{_datadir}/gtk-doc/html/%{oname}-%{majorminor}/%{oname}-GstData.html
%{_datadir}/gtk-doc/html/%{oname}-%{majorminor}/%{oname}-GstEvent.html
%{_datadir}/gtk-doc/html/%{oname}-%{majorminor}/%{oname}-GstFormat.html
%{_datadir}/gtk-doc/html/%{oname}-%{majorminor}/%{oname}-Gst.html
%{_datadir}/gtk-doc/html/%{oname}-%{majorminor}/%{oname}-gstinfo.html
%{_datadir}/gtk-doc/html/%{oname}-%{majorminor}/%{oname}-gstmemchunk.html
%{_datadir}/gtk-doc/html/%{oname}-%{majorminor}/%{oname}-GstParse.html
%{_datadir}/gtk-doc/html/%{oname}-%{majorminor}/%{oname}-GstPlugin.html
%{_datadir}/gtk-doc/html/%{oname}-%{majorminor}/%{oname}-GstProbe.html
%{_datadir}/gtk-doc/html/%{oname}-%{majorminor}/%{oname}-gstquery.html
%{_datadir}/gtk-doc/html/%{oname}-%{majorminor}/%{oname}-GstRegistry.html
%{_datadir}/gtk-doc/html/%{oname}-%{majorminor}/%{oname}-GstRegistryPool.html
%{_datadir}/gtk-doc/html/%{oname}-%{majorminor}/%{oname}-GstSystemClock.html
%{_datadir}/gtk-doc/html/%{oname}-%{majorminor}/%{oname}-GstURIHandler.html
%{_datadir}/gtk-doc/html/%{oname}-%{majorminor}/%{oname}-GstUtils.html
%{_datadir}/gtk-doc/html/%{oname}-%{majorminor}/%{oname}.html
%{_datadir}/gtk-doc/html/%{oname}-%{majorminor}/%{oname}-support.html
%{_datadir}/gtk-doc/html/%{oname}-%{majorminor}/%{oname}-Writing-typefind-functions.html
%{_datadir}/gtk-doc/html/%{oname}-%{majorminor}/GstScheduler.html
%{_datadir}/gtk-doc/html/%{oname}-%{majorminor}/GstThread.html
%{_datadir}/gtk-doc/html/%{oname}-%{majorminor}/GstTypeFindFactory.html
%{_datadir}/gtk-doc/html/%{oname}-%{majorminor}/GstXML.html
%{_datadir}/gtk-doc/html/%{oname}-%{majorminor}/index.html
%{_datadir}/gtk-doc/html/%{oname}-%{majorminor}/index.sgml
## gstreamer-libs API
%dir %{_datadir}/gtk-doc/html/%{oname}-libs-%{majorminor}
%{_datadir}/gtk-doc/html/%{oname}-libs-%{majorminor}/%{oname}-libs-%{majorminor}.devhelp
%{_datadir}/gtk-doc/html/%{oname}-libs-%{majorminor}/%{oname}-libs-gstgetbits.html
%{_datadir}/gtk-doc/html/%{oname}-libs-%{majorminor}/%{oname}-libs-gstputbits.html
%{_datadir}/gtk-doc/html/%{oname}-libs-%{majorminor}/%{oname}-libs-gstidct.html
%{_datadir}/gtk-doc/html/%{oname}-libs-%{majorminor}/%{oname}-libs-gstcontrol.html
%{_datadir}/gtk-doc/html/%{oname}-libs-%{majorminor}/%{oname}-libs.html
%{_datadir}/gtk-doc/html/%{oname}-libs-%{majorminor}/index.html
%{_datadir}/gtk-doc/html/%{oname}-libs-%{majorminor}/index.sgml
## this catches all of the rest of the docs we might have forgotten
%{_datadir}/gtk-doc/html/*
%endif

%changelog
* Fri Feb  6 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7.4-2mdk
- fix file list
- reenable docs

* Fri Feb  6 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7.4-1mdk
- disable the docs build
- fix file list
- new version

* Mon Dec 22 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.3-2mdk
- patch dtds of the docbook manuals to allow build without network connection
- fix docs requirement

* Sun Dec 21 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.3-1mdk
- fix docs installation
- new version

* Mon Dec  1 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.2-1mdk
- move tools to the tools package
- fix requires
- fix file list
- rename to gstreamer0.7
- add translations
- add new binaries
- remove cputoolize call
- buildrequire xmlto for the docs
- fix doc installation
- drop patch
- new version

* Fri Sep 26 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.6.3-2mdk
- cputoolize

* Wed Aug 27 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.3-1mdk
- patch to remove Werror flag
- new version

* Mon Jul 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.2-3mdk
- fix Bug 4357

* Wed Jul  9 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.2-2mdk
- rebuild for new rpm

* Tue Jun 10 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.2-1mdk
- add gst-typefind
- fix doc file listing
- fix devhelp installation
- new version

* Fri May 23 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.1-4mdk
- fix buildrequires

* Wed May 21 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.1-3mdk
- move plugins to libpackage to ease parallel installation

* Mon May  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.1-2mdk
- fix buildrequires

* Mon Apr 21 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.1-1mdk
- update file list
- new version

* Tue Apr  8 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.0-3mdk
- buildrequires flex

* Sun Feb  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.0-2mdk
- fix major

* Sun Feb  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.0-1mdk
- add gstreamer-control-0.6.pc
- new version

* Thu Jan 23 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5.2-1mdk
- mklibname macro
- new major
- new version

* Tue Jan  7 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5.1-1mdk
- sync file list
- new major version
- drop workarounds for older rpm
- relax buildrequires for docbook-style-xsl
- drop obsoleted patch
- new version

* Wed Dec 18 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5.0-3mdk
- only buildrequire nasm on the x86 architecture

* Thu Dec 12 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5.0-2mdk
- change cache dir from /var/lib/cache to /var/cache

* Wed Dec 11 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5.0-1mdk
- provide gstreamer-tools for compatibility with offical package
- update the patch
- update file list 
- new version 

* Tue Nov 12 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.2-3mdk
- clean installed files we don't ship
- add missing gst-feedback man page

* Wed Nov  6 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.2-2mdk
- prereq libgstreamer to make the scripts work

* Tue Nov  5 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.2-1mdk
- sync with official spec file
- patch xsl stylesheet to fix generation of the manual
- add libgstcontrol library to libgstreamer package
- fix file listing
- drop the patch
- remove the buildconflict with libxslt-proc
- lower optimization to fix program
- new version

* Tue Jul  9 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-3mdk
- buildconflicts libxslt-proc
- some more docs
- update buildrequires for doc generation

* Sun Jul  7 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-2mdk
- some spec cleanup
- loosen dependancy on main package in lib package to ease upgrades

* Sat Jul  6 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-1mdk
- disable parallel build
- fix python location
- sync with official spec file
- 0.4.0

* Wed Jul  3 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.3.4-3mdk
- fix major version to please rpmlint
- spec file fixes

* Mon Jul 01 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.3.4-2mdk
- oops forget changelog
- libification
- mode macros

* Tue Jun 25 2002 Charles A Edwards <eslrahc@bellsouth.net> 0.3.4-1mdk
- initial Mandrake build
- modified other spec
